%global pypi_name django-environ
%global commitId 44ac6649ad6135ff4246371880298bf732cd1c52

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.8.1
Release:        1%{?dist}
Summary:        A package that allows you to utilize 12factor inspired environment variables to configure your Django application

License:        MIT
URL:            https://github.com/joke2k/django-environ
Source0:        python-django-environ-44ac6649ad6135ff4246371880298bf732cd1c52.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
django-environ django-environ is the Python package that allows you to use
Twelve-factor methodology < to configure your Django application with
environment variables... -teaser-end-For that, it gives you an easy way to
configure Django application using environment variables obtained from an
environment file and provided by the OS:.. -code-begin-.. code-block:: python
import environ import...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
django-environ django-environ is the Python package that allows you to use
Twelve-factor methodology < to configure your Django application with
environment variables... -teaser-end-For that, it gives you an easy way to
configure Django application using environment variables obtained from an
environment file and provided by the OS:.. -code-begin-.. code-block:: python
import environ import...

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt docs/license.rst
%doc README.rst
%{python3_sitelib}/environ
%{python3_sitelib}/django_environ-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Dec 15 2021 James Marshall <jamarsha@redhat.com> - 0.8.1-1
- Initial package.

